E-MailRelay

Public Member Functions | List of all members
GNet::ExceptionSinkUnbound Class Reference

A potential ExceptionSink that is realised by bind()ing an exception source pointer. More...

`#include <gexceptionsink.h>`

## Public Member Functions
| ExceptionSinkUnbound (ExceptionHandler *eh)
| Constructor. More...
| ExceptionSinkUnbound (ExceptionHandler &eh)
| Constructor. More...
ExceptionSink | bind (ExceptionSource *source) const
| Returns a sink object with the source pointer set. More...

## Detailed Description

A potential ExceptionSink that is realised by bind()ing an exception source pointer.

This is used in factory functions such as GNet::Server::newPeer() where the container that uses the factory function to create a containee needs to know which containee a subsequent exception came from.

Definition at line 153 of file gexceptionsink.h.

## Constructor & Destructor Documentation

## ◆ ExceptionSinkUnbound() [1/2]

GNet::ExceptionSinkUnbound::ExceptionSinkUnbound | ( | ExceptionHandler * | eh | ) |
| explicit

Constructor.

Definition at line 94 of file gexceptionsink.cpp.

## ◆ ExceptionSinkUnbound() [2/2]

GNet::ExceptionSinkUnbound::ExceptionSinkUnbound | ( | ExceptionHandler & | eh | ) |
| explicit

Constructor.

Definition at line 89 of file gexceptionsink.cpp.

## Member Function Documentation

## ◆ bind()

GNet::ExceptionSink GNet::ExceptionSinkUnbound::bind | ( | ExceptionSource * | source | ) | const

Returns a sink object with the source pointer set.

Definition at line 100 of file gexceptionsink.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gexceptionsink.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gexceptionsink.cpp